org.apache.ignite.internal.processors.igfs

## Class IgfsDeleteResult

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsDeleteResult

    public class IgfsDeleteResult
    extends Object

Result of deletion in IGFS.

### Constructor Summary

Constructors
Constructor and Description
`IgfsDeleteResult(boolean success, IgfsEntryInfo info)` Constructor.

### Method Summary

Methods
`IgfsEntryInfo` `info()`
`boolean` `success()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsDeleteResult

    public IgfsDeleteResult(boolean success,
                    @Nullable
                    IgfsEntryInfo info)

Constructor.

Parameters:
  `success` - Success flag.
  `info` - Entry info.

### Method Detail

#### success

    public boolean success()

Returns:
  Success flag.

#### info

    public IgfsEntryInfo info()

Returns:
  Entry info.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017